org.apache.lucene.luke.app.desktop.components.fragments.search

## Class SimilarityPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.SimilarityPaneProvider

- All Implemented Interfaces:
    ComponentOperatorRegistry.ComponentOperator, SimilarityTabOperator

      public final class SimilarityPaneProvider
      extends Object
      implements SimilarityTabOperator

  Provider of the Similarity pane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimilarityPaneProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JScrollPane` | `get()`
    `SimilarityConfig` | `getConfig()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimilarityPaneProvider

          public SimilarityPaneProvider()

  - ### Method Detail

    - #### get

          public JScrollPane get()

    - #### getConfig

          public SimilarityConfig getConfig()

      Specified by:
        `getConfig` in interface `SimilarityTabOperator`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.